summaryrefslogtreecommitdiffstats
path: root/system/bindfs
diff options
context:
space:
mode:
author Kent Fritz <fritz.kent@gmail.com>2011-11-15 17:55:22 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-11-26 09:08:09 -0600
commit3fb34c83536886d94d069a00e8441d24677dee0e (patch)
treed6f21148ab9bde758a1f4da28aeb6b2f97f398ec /system/bindfs
parent023b3a725ad54a0817672805757a3e313afcc526 (diff)
downloadslackbuilds-3fb34c83536886d94d069a00e8441d24677dee0e.tar.gz
slackbuilds-3fb34c83536886d94d069a00e8441d24677dee0e.tar.xz
system/bindfs: Added (FUSE filesystem for mounting directories elsewhere)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'system/bindfs')
-rw-r--r--system/bindfs/README3
-rw-r--r--system/bindfs/bindfs.SlackBuild81
-rw-r--r--system/bindfs/bindfs.info10
-rw-r--r--system/bindfs/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/system/bindfs/README b/system/bindfs/README
new file mode 100644
index 0000000000..e068449207
--- /dev/null
+++ b/system/bindfs/README
@@ -0,0 +1,3 @@
+bindfs is a FUSE filesystem for mounting a directory to another location,
+similarly to mount --bind. The permissions inside the mountpoint can be
+altered using various rules.
diff --git a/system/bindfs/bindfs.SlackBuild b/system/bindfs/bindfs.SlackBuild
new file mode 100644
index 0000000000..5783012d42
--- /dev/null
+++ b/system/bindfs/bindfs.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for bindfs
+
+# Written by Kent Fritz <fritz.kent@gmail.com>
+
+PRGNAM=bindfs
+VERSION=${VERSION:-1.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/bindfs/bindfs.info b/system/bindfs/bindfs.info
new file mode 100644
index 0000000000..7c933d8596
--- /dev/null
+++ b/system/bindfs/bindfs.info
@@ -0,0 +1,10 @@
+PRGNAM="bindfs"
+VERSION="1.9"
+HOMEPAGE="http://code.google.com/p/bindfs/"
+DOWNLOAD="http://bindfs.googlecode.com/files/bindfs-1.9.tar.gz"
+MD5SUM="610778ad89bc5b0ff0be7b44bb2b6f0c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Kent Fritz"
+EMAIL="fritz.kent@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/system/bindfs/slack-desc b/system/bindfs/slack-desc
new file mode 100644
index 0000000000..8436a48d23
--- /dev/null
+++ b/system/bindfs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bindfs: bindfs (FUSE filesystem for mounting directories elsewhere)
+bindfs:
+bindfs: bindfs is a FUSE filesystem for mounting a directory to another
+bindfs: location, similarly to mount --bind. The permissions inside the
+bindfs: mountpoint can be altered using various rules.
+bindfs:
+bindfs:
+bindfs:
+bindfs:
+bindfs:
+bindfs: